summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2018-08-12 13:18:57 +0100
committerJavier Jardón <jjardon@gnome.org>2018-08-12 13:29:27 +0100
commit094b98ccbf3c4ba222d3e2dc73ac5dd73d237a23 (patch)
tree3954ca8d0a2bad90a3dc1802c9b4654aa1cb85a7
parentbf8664a028d8cbc55f9dbc65fef926e2119b9579 (diff)
downloadlibgudev-094b98ccbf3c4ba222d3e2dc73ac5dd73d237a23.tar.gz
autogen.sh: Use upstream autoreconf instead deprecated gnome-autogen.shjjardon/no_gnome_common
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
-rwxr-xr-xautogen.sh54
1 files changed, 44 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index 1341309..9f42268 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,16 +1,50 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME git"
- exit 1
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-REQUIRED_AUTOCONF_VERSION=2.64
-REQUIRED_AUTOMAKE_VERSION=1.11
-REQUIRED_INTLTOOL_VERSION=0.40.0
-REQUIRED_PKG_CONFIG_VERSION=0.22
-. gnome-autogen.sh
+GTKDOCIZE=$(which gtkdocize 2>/dev/null)
+if test -z $GTKDOCIZE; then
+ echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
+ rm -f gtk-doc.make
+ cat > gtk-doc.make <<EOF
+EXTRA_DIST =
+CLEANFILES =
+EOF
+fi
+
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi